//	EditorPanel.h
//
//	A standard dialog for selecting an editor, either 
//	among all installed, or for a specific type.
//
//	Jon Watte (h+@metrowerks.com) 96-09-29

#pragma once


#include <Window.h>
#include "PluginEditors.h"
#include <ListView.h>

class EditorList :
	public BListView
{
public:
								EditorList(
									BRect			area,
									ulong			resize,
									ulong			flags);
								~EditorList();

		void					DrawItem(
									BRect			updateRect,
									long			item);

		void					ListEditors(
									ulong			type,
									const char *	mime);
		EDITID					GetSelectedEditor();

};


class EditorPanel :
	public BWindow
{
public:
								EditorPanel(
									const char *	title, 
									BMessage *		reply, 
									BHandler *		target, 
									ulong			type = 0,
									const char *	mime = NULL);
								~EditorPanel();

		void					Go();
		bool					QuitRequested();
		void					MessageReceived(
									BMessage *		message);

protected:

		EditorList *			fList;
		BMessage *				fReply;
		BHandler *				fTarget;
		ulong					fType;
		char *					fMime;
};
