//	PluginProtocol.h
//
//	Header file for protocol constants for PluginViews.h
//
//	Jon Watte (h+@metrowerks.com) 960926

#pragma once


//	kAnyType is from Datatypes library
#define kDefaultType -1L

//	Command constants we define for all views and their containers 
//	to use if that command is in a menu at all
enum {
	CMD_UNDO =					'undo',
	CMD_CLEAR =					'cler',
	CMD_SELECT_ALL =			'sela',
	CMD_SAVE =					'save',
	CMD_SAVE_AS =				'sava',
	CMD_SAVE_COPY_AS =			'savc',
	CMD_REVERT =				'revr',
	CMD_NEW =					'neww',
	CMD_OPEN =					'open',
	CMD_PRINT =					'prnt',
	CMD_GET_INFO =				'info',
	CMD_SELECT_FRAME =			'frsl'
};


//	Message "what" constants for the callback functions for 
//	the container to handle

enum {

	VIEW_FOCUS_MENUS =			'menu',
		//	params:		"view"			B_OBJECT the view
		//				"menus"			B_OBJECT menus

	VIEW_LOST_FOCUS =			'lost',
		//	params:		"view"			B_OBJECT the view
		//				"menus"			B_OBJECT menus

	VIEW_DONE_EDITTING =		'done',
		//	params:		"view"			B_OBJECT the view
		//				"save"			boolean: send save?

	VIEW_PLEASE_SAVE =			'psav',
		//	params:		"view"			B_OBJECT the view

	VIEW_DATA_CHANGED =			'dirt',
		//	params:		"view"			B_OBJECT the view

	VIEW_SELECT_FRAME =			'self'
		//	params:		"view"			B_OBJECT the view

};


//	Message "what" constants to use for ExtensionMessage protocols
//	These protocols are content type dependent, and are grouped by 
//	content type.

//	TEXT commands
enum {

	TEXT_GET_SELECTION =		'tgsl',
		//	params:		none
		//	returns:	"start"			long
		//				"end"			long

	TEXT_GET_TEXT =				'tgtx',
		//	params:		"start"			long
		//				"end"			long
		//	returns:	"data"			text

	TEXT_SET_SELECTION =		'tssl',
		//	params:		"start"			long
		//				"end"			long

	TEXT_SET_TEXT =				'tstx'
		//	params:		"start"			long
		//				"end"			long
		//				"data"			text

};
